# Interface ICefDownloadItem

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDownloadItem = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a download item.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_item_capi.h">CEF source file: /include/capi/cef_download_item_capi.h (cef_download_item_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDownloadItem

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsInProgress: Boolean;`
| `function IsComplete: Boolean;`
| `function IsCanceled: Boolean;`
| `function IsInterrupted: Boolean;`
| `function GetInterruptReason: TCefDownloadInterruptReason;`
| `function GetCurrentSpeed: Int64;`
| `function GetPercentComplete: Integer;`
| `function GetTotalBytes: Int64;`
| `function GetReceivedBytes: Int64;`
| `function GetStartTime: TDateTime;`
| `function GetEndTime: TDateTime;`
| `function GetFullPath: ustring;`
| `function GetId: Cardinal;`
| `function GetUrl: ustring;`
| `function GetOriginalUrl: ustring;`
| `function GetSuggestedFileName: ustring;`
| `function GetContentDisposition: ustring;`
| `function GetMimeType: ustring;`

### Properties

| `property CurrentSpeed : Int64 read GetCurrentSpeed;`
| `property PercentComplete : Integer read GetPercentComplete;`
| `property TotalBytes : Int64 read GetTotalBytes;`
| `property ReceivedBytes : Int64 read GetReceivedBytes;`
| `property StartTime : TDateTime read GetStartTime;`
| `property EndTime : TDateTime read GetEndTime;`
| `property FullPath : ustring read GetFullPath;`
| `property Id : Cardinal read GetId;`
| `property Url : ustring read GetUrl;`
| `property OriginalUrl : ustring read GetOriginalUrl;`
| `property SuggestedFileName : ustring read GetSuggestedFileName;`
| `property ContentDisposition : ustring read GetContentDisposition;`
| `property MimeType : ustring read GetMimeType;`
| `property InterruptReason : TCefDownloadInterruptReason read GetInterruptReason;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{B34BD320-A82E-4185-8E84-B98E5EEC803F}']

| `function IsInProgress: Boolean;`
Returns true (1) if the download is in progress.

| `function IsComplete: Boolean;`
Returns true (1) if the download is complete.

| `function IsCanceled: Boolean;`
Returns true (1) if the download has been canceled.

| `function IsInterrupted: Boolean;`
Returns true (1) if the download has been interrupted.

| `function GetInterruptReason: TCefDownloadInterruptReason;`
Returns the most recent interrupt reason.

| `function GetCurrentSpeed: Int64;`
Returns a simple speed estimate in bytes/s.

| `function GetPercentComplete: Integer;`
Returns the rough percent complete or -1 if the receive total size is unknown.

| `function GetTotalBytes: Int64;`
Returns the total number of bytes.

| `function GetReceivedBytes: Int64;`
Returns the number of received bytes.

| `function GetStartTime: TDateTime;`
Returns the time that the download started.

| `function GetEndTime: TDateTime;`
Returns the time that the download ended.

| `function GetFullPath: ustring;`
Returns the full path to the downloaded or downloading file.

| `function GetId: Cardinal;`
Returns the unique identifier for this download.

| `function GetUrl: ustring;`
Returns the URL.

| `function GetOriginalUrl: ustring;`
Returns the original URL before any redirections.

| `function GetSuggestedFileName: ustring;`
Returns the suggested file name.

| `function GetContentDisposition: ustring;`
Returns the content disposition.

| `function GetMimeType: ustring;`
Returns the mime type.

### Properties

| `property CurrentSpeed : Int64 read GetCurrentSpeed;`
Returns a simple speed estimate in bytes/s.

| `property PercentComplete : Integer read GetPercentComplete;`
Returns the rough percent complete or -1 if the receive total size is unknown.

| `property TotalBytes : Int64 read GetTotalBytes;`
Returns the total number of bytes.

| `property ReceivedBytes : Int64 read GetReceivedBytes;`
Returns the number of received bytes.

| `property StartTime : TDateTime read GetStartTime;`
Returns the time that the download started.

| `property EndTime : TDateTime read GetEndTime;`
Returns the time that the download ended.

| `property FullPath : ustring read GetFullPath;`
Returns the full path to the downloaded or downloading file.

| `property Id : Cardinal read GetId;`
Returns the unique identifier for this download.

| `property Url : ustring read GetUrl;`
Returns the URL.

| `property OriginalUrl : ustring read GetOriginalUrl;`
Returns the original URL before any redirections.

| `property SuggestedFileName : ustring read GetSuggestedFileName;`
Returns the suggested file name.

| `property ContentDisposition : ustring read GetContentDisposition;`
Returns the content disposition.

| `property MimeType : ustring read GetMimeType;`
Returns the mime type.

| `property InterruptReason : TCefDownloadInterruptReason read GetInterruptReason;`
Returns the most recent interrupt reason.

Generated by PasDoc 0.16.0-snapshot.